Bug 44480 - Uninstalling Apps may fail due to space left on device
Uninstalling Apps may fail due to space left on device
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks: 46025
  Show dependency treegraph
 
Reported: 2017-04-27 12:24 CEST by Florian Best
Modified: 2018-03-29 18:52 CEST (History)
4 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 3: Will affect average number of installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.257
Enterprise Customer affected?: Yes
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Ticket number: 2018032421000476, 2018010621000031, 2017120521000586, 2017111521000078, 2017110621000504, 2017101321000252, 2017091421000191, 2017100221000657, 2017100821000244, 2017053021000721, 2017073021000173, 2017081421000219, 2017091021000153, 2017083021000813
Bug group (optional): External feedback
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2017-04-27 12:24:50 CEST
Version: 4.1-4 errata408 (Vahr)

Die Ausführung des Kommandos appcenter/docker/progress ist fehlgeschlagen:

Traceback (most recent call last):
  File "%PY2.7%/univention/management/console/base.py", line 281, in execute
    function(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 318, in _response
    result = _multi_response(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 462, in _response
    return list(function(self, iterator, *nones))
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 284, in _fake_func
    yield function(self, *args)
  File "%PY2.7%/univention/management/console/modules/mixins.py", line 149, in progress
    ret = progress_obj.poll()
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 309, in _thread
    result = _multi_response(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 462, in _response
    return list(function(self, iterator, *nones))
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 284, in _fake_func
    yield function(self, *args)
  File "%PY2.7%/univention/management/console/modules/appcenter/__init__.py", line 371, in invoke_docker
    result['success'] = action.call(app=app, username=self.username, password=self.password, **kwargs)
  File "%PY2.7%/univention/appcenter/actions/__init__.py", line 185, in call
    return obj.call_with_namespace(namespace)
  File "%PY2.7%/univention/appcenter/actions/__init__.py", line 191, in call_with_namespace
    result = self.main(namespace)
  File "%PY2.7%/univention/appcenter/actions/remove.py", line 49, in main
    return self.do_it(args)
  File "%PY2.7%/univention/appcenter/actions/install_base.py", line 109, in do_it
    self._do_it(app, args)
  File "%PY2.7%/univention/appcenter/actions/docker_remove.py", line 50, in _do_it
    super(Remove, self)._do_it(app, args)
  File "%PY2.7%/univention/appcenter/actions/remove.py", line 55, in _do_it
    self._remove_app(app, args)
  File "%PY2.7%/univention/appcenter/actions/docker_remove.py", line 56, in _remove_app
    self._remove_docker_container(app, args)
  File "%PY2.7%/univention/appcenter/actions/docker_remove.py", line 60, in _remove_docker_container
    if self._backup_container(app, backup_data='move') is False:
  File "%PY2.7%/univention/appcenter/actions/docker_base.py", line 83, in _backup_container
    shutil.move(app.get_data_dir(), os.path.join(BACKUP_DIR, image_name, 'data'))
  File "/usr/lib/python2.7/shutil.py", line 298, in move
    copytree(src, real_dst, symlinks=True)
  File "/usr/lib/python2.7/shutil.py", line 208, in copytree
    raise Error, errors
Error: [('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/09 - Der Spielmann.mp4',
'/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/09 - Der Spielmann.mp4', '[Errno 28] Auf dem
Ger\xc3\xa4t ist kein Speicherplatz mehr verf\xc3\xbcgbar'), ('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/01 -
Klampfenspiel.mp4', '/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/01 - Klampfenspiel.mp4',
'[Errno 28] Auf dem Ger\xc3\xa4t ist kein Speicherplatz mehr verf\xc3\xbcgbar'), ('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/schubertr/files/Videos/Gitarre
lernen/06 - Ich habe es geschafft.mp4', '/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/06 -
Ich habe es geschafft.mp4', '[Errno 28] Auf dem Ger\xc3\xa4t ist kein Speicherplatz mehr verf\xc3\xbcgbar'),
('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/11 - LI-LA-Lang.mp4',
'/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/11 - LI-LA-Lang.mp4', '[Errno 28] Auf dem
Ger\xc3\xa4t ist kein Speicherplatz mehr verf\xc3\xbcgbar'), ('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/10 - Irland
ich tr\xc3\xa4um von Dir.mp4', '/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/10 - Irland
ich tr\xc3\xa4um von Dir.mp4', '[Errno 28] Auf dem Ger\xc3\xa4t ist kein Speicherplatz mehr verf\xc3\xbcgbar'),
('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/12 - Hejo.mp4',
'/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/12 - Hejo.mp4', '[Errno 28] Auf dem
Ger\xc3\xa4t ist kein Speicherplatz mehr verf\xc3\xbcgbar'), ('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/07 -
Klampfenblues.mp4', '/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/07 - Klampfenblues.mp4',
'[Errno 28] Auf dem Ger\xc3\xa4t ist kein Speicherplatz mehr verf\xc3\xbcgbar'), ('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/schubertr/files/Videos/Gitarre
lernen/02 - Empty Strings.mp4', '/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/02 - Empty
Strings.mp4', '[Errno 28] Auf dem Ger\xc3\xa4t ist kein Speicherplatz mehr verf\xc3\xbcgbar'),
('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/04 - Tag und Nacht.mp4',
'/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/04 - Tag und Nacht.mp4', '[Errno 28] Auf dem
Ger\xc3\xa4t ist kein Speicherplatz mehr verf\xc3\xbcgbar'), ('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/03 - H A
Wunderbar.mp4', '/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/03 - H A Wunderbar.mp4',
'[Errno 28] Auf dem Ger\xc3\xa4t ist kein Speicherplatz mehr verf\xc3\xbcgbar'), ('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/schubertr/files/Videos/Gitarre
lernen/08 - Der Kukuk und der Esel.mp4', '/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/08 -
Der Kukuk und der Esel.mp4', '[Errno 28] Auf dem Ger\xc3\xa4t ist kein Speicherplatz mehr verf\xc3\xbcgbar'),
('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/05 - Ritter Dando.mp4',
'/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/schubertr/files/Videos/Gitarre lernen/05 - Ritter Dando.mp4', '[Errno 28] Auf dem
Ger\xc3\xa4t ist kein Speicherplatz mehr verf\xc3\xbcgbar'), ('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/schubertr/files/Videos/Rene-Galaxy-Phone',
'/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/schubertr/files/Videos/Rene-Galaxy-Phone', "[Errno 28] Auf dem Ger\xc3\xa4t ist
kein Speicherplatz mehr verf\xc3\xbcgbar:
'/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/schubertr/files/Videos/Rene-Galaxy-Phone'"),
('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/schubertr/files/Bilder',
'/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/schubertr/files/Bilder', "[Errno 28] Auf dem Ger\xc3\xa4t ist kein Speicherplatz
mehr verf\xc3\xbcgbar: '/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/schubertr/files/Bilder'"),
('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/schubertr/files_trashbin',
'/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/schubertr/files_trashbin', "[Errno 28] Auf dem Ger\xc3\xa4t ist kein Speicherplatz
mehr verf\xc3\xbcgbar: '/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/schubertr/files_trashbin'"),
('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/files_external',
'/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/files_external', "[Errno 28] Auf dem Ger\xc3\xa4t ist kein Speicherplatz mehr
verf\xc3\xbcgbar: '/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/files_external'"),
('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/nextcloud.log',
'/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/nextcloud.log', '[Errno 28] Auf dem Ger\xc3\xa4t ist kein Speicherplatz mehr
verf\xc3\xbcgbar'), ('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/rschubi314',
'/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/rschubi314', "[Errno 28] Auf dem Ger\xc3\xa4t ist kein Speicherplatz mehr
verf\xc3\xbcgbar: '/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/rschubi314'"),
('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/appdata_ocd339dpogri',
'/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/appdata_ocd339dpogri', "[Errno 28] Auf dem Ger\xc3\xa4t ist kein Speicherplatz mehr
verf\xc3\xbcgbar: '/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/appdata_ocd339dpogri'"),
('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/nc_admin',
'/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/nc_admin', "[Errno 28] Auf dem Ger\xc3\xa4t ist kein Speicherplatz mehr
verf\xc3\xbcgbar: '/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/nc_admin'"),
('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/.htaccess',
'/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/.htaccess', '[Errno 28] Auf dem Ger\xc3\xa4t ist kein Speicherplatz mehr
verf\xc3\xbcgbar'), ('/var/lib/univention-appcenter/apps/nextcloud/data/nextcloud-data/Administrator',
'/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/Administrator', "[Errno 28] Auf dem Ger\xc3\xa4t ist kein Speicherplatz mehr
verf\xc3\xbcgbar: '/var/lib/univention-appcenter/backups/appcenter-backup-nextcloud:1492868585/data/nextcloud-data/Administrator'")]
Comment 1 Florian Best univentionstaff 2017-06-01 09:57:26 CEST
Reported again, 4.1-4 errata428 (Vahr)

Execution of command 'appcenter/docker/progress' has failed:

Traceback (most recent call last):
  File "%PY2.7%/univention/management/console/base.py", line 281, in execute
    function(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 318, in _response
    result = _multi_response(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 462, in _response
    return list(function(self, iterator, *nones))
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 284, in _fake_func
    yield function(self, *args)
  File "%PY2.7%/univention/management/console/modules/mixins.py", line 149, in progress
    ret = progress_obj.poll()
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 309, in _thread
    result = _multi_response(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 462, in _response
    return list(function(self, iterator, *nones))
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 284, in _fake_func
    yield function(self, *args)
  File "%PY2.7%/univention/management/console/modules/appcenter/__init__.py", line 371, in invoke_docker
    result['success'] = action.call(app=app, username=self.username, password=self.password, **kwargs)
  File "%PY2.7%/univention/appcenter/actions/__init__.py", line 196, in call
    return obj.call_with_namespace(namespace)
  File "%PY2.7%/univention/appcenter/actions/__init__.py", line 202, in call_with_namespace
    result = self.main(namespace)
  File "%PY2.7%/univention/appcenter/actions/remove.py", line 49, in main
    return self.do_it(args)
  File "%PY2.7%/univention/appcenter/actions/install_base.py", line 109, in do_it
    self._do_it(app, args)
  File "%PY2.7%/univention/appcenter/actions/docker_remove.py", line 50, in _do_it
    super(Remove, self)._do_it(app, args)
  File "%PY2.7%/univention/appcenter/actions/remove.py", line 55, in _do_it
    self._remove_app(app, args)
  File "%PY2.7%/univention/appcenter/actions/docker_remove.py", line 56, in _remove_app
    self._remove_docker_container(app, args)
  File "%PY2.7%/univention/appcenter/actions/docker_remove.py", line 60, in _remove_docker_container
    if self._backup_container(app, backup_data='move') is False:
  File "%PY2.7%/univention/appcenter/actions/docker_base.py", line 83, in _backup_container
    shutil.move(app.get_data_dir(), os.path.join(BACKUP_DIR, image_name, 'data'))
  File "/usr/lib/python2.7/shutil.py", line 298, in move
    copytree(src, real_dst, symlinks=True)
  File "/usr/lib/python2.7/shutil.py", line 208, in copytree
    raise Error, errors
Error: [(u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/16 Stephen Colbert - 7016-Chapter 4
- Religion.mp3", u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can
You!)/16 Stephen Colbert - 7016-Chapter 4 - Religion.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's
Greenhouse/Stephen Colbert/I Am America (And So Can You!)/09 Stephen Colbert - 7032-Chapter 032.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/09 Stephen
Colbert - 7032-Chapter 032.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/03 Stephen Colbert - 7026-Chapter 026.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/03 Stephen
Colbert - 7026-Chapter 026.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/14 Stephen Colbert - 7014-Chapter 3 - Nursery Rhymes & Shasta.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/14 Stephen
Colbert - 7014-Chapter 3 - Nursery Rhymes & Shasta.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's
Greenhouse/Stephen Colbert/I Am America (And So Can You!)/08 Stephen Colbert - 7055-Chapter 055.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/08 Stephen
Colbert - 7055-Chapter 055.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/18 Stephen Colbert - 7041-Chapter 041.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/18 Stephen
Colbert - 7041-Chapter 041.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/10 Stephen Colbert - 7057-Chapter 057.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/10 Stephen
Colbert - 7057-Chapter 057.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/05 Stephen Colbert - 7005-Chapter 1 - The Father.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/05 Stephen
Colbert - 7005-Chapter 1 - The Father.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen
Colbert/I Am America (And So Can You!)/08 Stephen Colbert - 7031-Chapter 031.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/08 Stephen
Colbert - 7031-Chapter 031.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/07 Stephen Colbert - 7030-Chapter 030.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/07 Stephen
Colbert - 7030-Chapter 030.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/21 Stephen Colbert - 7021-Chapter 4 - Goat Paths to Nowhere pt. 3.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/21 Stephen
Colbert - 7021-Chapter 4 - Goat Paths to Nowhere pt. 3.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's
Greenhouse/Stephen Colbert/I Am America (And So Can You!)/22 Stephen Colbert - 7045-Chapter 045.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/22 Stephen
Colbert - 7045-Chapter 045.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/12 Stephen Colbert - 7012-Stephen Speaks for Me - Gil Honeycomb.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/12 Stephen
Colbert - 7012-Stephen Speaks for Me - Gil Honeycomb.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's
Greenhouse/Stephen Colbert/I Am America (And So Can You!)/13 Stephen Colbert - 7036-Chapter 036.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/13 Stephen
Colbert - 7036-Chapter 036.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/23 Stephen Colbert - 7023-Chapter 4 - Goat Paths to Nowhere pt. 4.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/23 Stephen
Colbert - 7023-Chapter 4 - Goat Paths to Nowhere pt. 4.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's
Greenhouse/Stephen Colbert/I Am America (And So Can You!)/02 Stephen Colbert - 7025-Chapter 025.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/02 Stephen
Colbert - 7025-Chapter 025.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/18 Stephen Colbert - 7018-Chapter 4 - Roman Catholicism.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/18 Stephen
Colbert - 7018-Chapter 4 - Roman Catholicism.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's
Greenhouse/Stephen Colbert/I Am America (And So Can You!)/07 Stephen Colbert - 7007-Chapter 1 - Tips.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/07 Stephen
Colbert - 7007-Chapter 1 - Tips.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen
Colbert/I Am America (And So Can You!)/04 Stephen Colbert - 7027-Chapter 027.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/04 Stephen
Colbert - 7027-Chapter 027.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/02 Stephen Colbert - 7049-Chapter 049.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/02 Stephen
Colbert - 7049-Chapter 049.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/11 Stephen Colbert - 7011-Chapter 2 - Old People pt. 2.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/11 Stephen
Colbert - 7011-Chapter 2 - Old People pt. 2.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's
Greenhouse/Stephen Colbert/I Am America (And So Can You!)/15 Stephen Colbert - 7015-Chapter 3 - Getting a Pet & Cow #L73NR.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/15 Stephen
Colbert - 7015-Chapter 3 - Getting a Pet & Cow #L73NR.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's
Greenhouse/Stephen Colbert/I Am America (And So Can You!)/08 Stephen Colbert - 7008-Chapter 1 - Divorce.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/08 Stephen
Colbert - 7008-Chapter 1 - Divorce.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen
Colbert/I Am America (And So Can You!)/06 Stephen Colbert - 7029-Chapter 029.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/06 Stephen
Colbert - 7029-Chapter 029.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/23 Stephen Colbert - 7046-Chapter 046.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/23 Stephen
Colbert - 7046-Chapter 046.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/19 Stephen Colbert - 7066-Chapter 066.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/19 Stephen
Colbert - 7066-Chapter 066.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/11 Stephen Colbert - 7034-Chapter 034.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/11 Stephen
Colbert - 7034-Chapter 034.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/20 Stephen Colbert - 7043-Chapter 043.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/20 Stephen
Colbert - 7043-Chapter 043.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/09 Stephen Colbert - 7056-Chapter 056.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/09 Stephen
Colbert - 7056-Chapter 056.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/22 Stephen Colbert - 7022-Chapter 4 - The Concentrated Old Testament.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/22 Stephen
Colbert - 7022-Chapter 4 - The Concentrated Old Testament.mp3", '[Errno 28] No space left on device'),
(u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/16 Stephen Colbert - 7039-Chapter 039.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/16 Stephen
Colbert - 7039-Chapter 039.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/10 Stephen Colbert - 7010-Chapter 2 - Old People pt. 1.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/10 Stephen
Colbert - 7010-Chapter 2 - Old People pt. 1.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's
Greenhouse/Stephen Colbert/I Am America (And So Can You!)/17 Stephen Colbert - 7064-Chapter 064.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/17 Stephen
Colbert - 7064-Chapter 064.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/21 Stephen Colbert - 7044-Chapter 044.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/21 Stephen
Colbert - 7044-Chapter 044.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/09 Stephen Colbert - 7009-Stephen Speaks for Me - Dolores Grierson.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/09 Stephen
Colbert - 7009-Stephen Speaks for Me - Dolores Grierson.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's
Greenhouse/Stephen Colbert/I Am America (And So Can You!)/12 Stephen Colbert - 7035-Chapter 035.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/12 Stephen
Colbert - 7035-Chapter 035.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/04 Stephen Colbert - 7004-Chapter 1 - The Family.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/04 Stephen
Colbert - 7004-Chapter 1 - The Family.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen
Colbert/I Am America (And So Can You!)/05 Stephen Colbert - 7052-Chapter 052.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/05 Stephen
Colbert - 7052-Chapter 052.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/05 Stephen Colbert - 7028-Chapter 028.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/05 Stephen
Colbert - 7028-Chapter 028.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/16 Stephen Colbert - 7063-Chapter 063.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/16 Stephen
Colbert - 7063-Chapter 063.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/12 Stephen Colbert - 7059-Chapter 059.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/12 Stephen
Colbert - 7059-Chapter 059.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/14 Stephen Colbert - 7037-Chapter 037.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/14 Stephen
Colbert - 7037-Chapter 037.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/19 Stephen Colbert - 7019-Chapter 4 - Goat Paths to Nowhere pt. 1.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/19 Stephen
Colbert - 7019-Chapter 4 - Goat Paths to Nowhere pt. 1.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's
Greenhouse/Stephen Colbert/I Am America (And So Can You!)/11 Stephen Colbert - 7058-Chapter 058.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/11 Stephen
Colbert - 7058-Chapter 058.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/03 Stephen Colbert - 7003-My American Childhood.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/03 Stephen
Colbert - 7003-My American Childhood.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen
Colbert/I Am America (And So Can You!)/03 Stephen Colbert - 7050-Chapter 050.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/03 Stephen
Colbert - 7050-Chapter 050.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/20 Stephen Colbert - 7067-Chapter 067.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/20 Stephen
Colbert - 7067-Chapter 067.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/01 Stephen Colbert - 7001-Introduction Part 1.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/01 Stephen
Colbert - 7001-Introduction Part 1.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen
Colbert/I Am America (And So Can You!)/18 Stephen Colbert - 7065-Chapter 065.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/18 Stephen
Colbert - 7065-Chapter 065.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/24 Stephen Colbert - 7047-Chapter 047.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/24 Stephen
Colbert - 7047-Chapter 047.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/01 Stephen Colbert - 7048-Chapter 048.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/01 Stephen
Colbert - 7048-Chapter 048.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/10 Stephen Colbert - 7033-Chapter 033.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/10 Stephen
Colbert - 7033-Chapter 033.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/15 Stephen Colbert - 7062-Chapter 062.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/15 Stephen
Colbert - 7062-Chapter 062.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I
Am America (And So Can You!)/13 Stephen Colbert - 7013-Chapter 3 - Animals.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/13 Stephen
Colbert - 7013-Chapter 3 - Animals.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Stephen
Colbert/I Am America (And So Can You!)/17 Stephen Colbert - 7017-Chapter 4 - A Jesusly Nation.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/17 Stephen
Colbert - 7017-Chapter 4 - A Jesusly Nation.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's
Greenhouse/Stephen Colbert/I Am America (And So Can You!)/06 Stephen Colbert - 7053-Chapter 053.mp3",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Stephen Colbert/I Am America (And So Can You!)/06 Stephen
Colbert - 7053-Chapter 053.mp3", '[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's
Greenhouse/yennefer_sources.blend", u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/yennefer_sources.blend",
'[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Moneyshot's Anus.rar",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Moneyshot's Anus.rar", '[Errno 28] No space left on
device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/harl2.blend",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/harl2.blend", '[Errno 28] No space left on device'),
(u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Kasumi Video",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Kasumi Video", '[Errno 28] No space left on device:
"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon\'s Greenhouse/Kasumi Video"'),
(u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/rig_biped_vorcha.py",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/rig_biped_vorcha.py", '[Errno 28] No space left on device'),
(u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/DOA Sept 2015 body",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/DOA Sept 2015 body", '[Errno 28] No space left on device:
"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon\'s Greenhouse/DOA Sept 2015 body"'),
(u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/daughterfu changelist.txt",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/daughterfu changelist.txt", '[Errno 28] No space left on
device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/nasty_pooch_model.rar",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/nasty_pooch_model.rar", '[Errno 28] No space left on
device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/themeforest-8156840-toranj-responsive-creative-html-template",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's
Greenhouse/themeforest-8156840-toranj-responsive-creative-html-template", '[Errno 28] No space left on device:
"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon\'s
Greenhouse/themeforest-8156840-toranj-responsive-creative-html-template"'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Ganon's Greenhouse/Primer vag and
womb unweighted.7z", u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Ganon's Greenhouse/Primer vag and womb unweighted.7z",
'[Errno 28] No space left on device'), (u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Blue's Bunker",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Blue's Bunker", '[Errno 28] No space left on device:
"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Blue\'s Bunker"'),
(u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Beamwire's Bordello",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Beamwire's Bordello", '[Errno 28] No space left on device:
"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Beamwire\'s Bordello"'),
(u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Jo's Janitor Closet",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Jo's Janitor Closet", '[Errno 28] No space left on device:
"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Jo\'s Janitor Closet"'),
(u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Cumboi's Cottage",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Cumboi's Cottage", '[Errno 28] No space left on device:
"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Cumboi\'s Cottage"'),
(u'/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/FRAMERATE LIST.txt',
u'/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/FRAMERATE LIST.txt', '[Errno 28] No space left on device'),
(u'/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/ANIMATOR ESSENTIALS',
u'/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/ANIMATOR ESSENTIALS', "[Errno 28] No space left on device:
'/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/ANIMATOR ESSENTIALS'"),
(u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Diana's Debauchery",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Diana's Debauchery", '[Errno 28] No space left on device:
"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Diana\'s Debauchery"'),
(u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/DC's Den",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/DC's Den", '[Errno 28] No space left on device:
"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/DC\'s Den"'),
(u"/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/Kristoff's Kool Klub",
u"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Kristoff's Kool Klub", '[Errno 28] No space left on device:
"/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/Kristoff\'s Kool Klub"'),
(u'/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files/CURRENT SCHEDULE.txt',
u'/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files/CURRENT SCHEDULE.txt', '[Errno 28] No space left on device'),
(u'/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/files_trashbin',
u'/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files_trashbin', "[Errno 28] No space left on device:
'/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/files_trashbin'"),
(u'/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/uploads', u'/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/uploads',
"[Errno 28] No space left on device: '/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/uploads'"),
(u'/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/thumbnails',
u'/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/thumbnails', "[Errno 28] No space left on device:
'/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/thumbnails'"),
(u'/var/lib/univention-appcenter/apps/owncloud/data/files/Celene/cache', u'/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/cache',
"[Errno 28] No space left on device: '/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Celene/cache'"),
(u'/var/lib/univention-appcenter/apps/owncloud/data/files/owncloud', u'/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/owncloud', "[Errno 28]
No space left on device: '/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/owncloud'"),
(u'/var/lib/univention-appcenter/apps/owncloud/data/files/Administrator', u'/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Administrator',
"[Errno 28] No space left on device: '/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/files/Administrator'"),
(u'/var/lib/univention-appcenter/apps/owncloud/data/custom', u'/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/custom', "[Errno 28] No space left on
device: '/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/custom'"), (u'/var/lib/univention-appcenter/apps/owncloud/data/sessions',
u'/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/sessions', "[Errno 28] No space left on device:
'/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/sessions'"), (u'/var/lib/univention-appcenter/apps/owncloud/data/certs',
u'/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/certs', "[Errno 28] No space left on device:
'/var/lib/univention-appcenter/backups/appcenter-backup-owncloud:1496175362/data/certs'")]
Comment 2 Dirk Wiesenthal univentionstaff 2017-06-29 09:50:22 CEST
This is not during installation, but during uninstallation. The backup of the container is the problem.

We should make the backup optional.

Also, we should cleanup the backups after a while. Or at least only have one per App.
Comment 3 Florian Best univentionstaff 2017-08-04 16:17:45 CEST
Reported again, 4.2-1 errata118 (Lesum)

Error: [(u'/var/lib/univention-appcenter/apps/noctua/data/backup.tar', u'/var/lib/univention-appcenter/backups/appcenter-backup-noctua:1501427295/data/backup.tar', '[Errno 28] Auf
dem Ger\xc3\xa4t ist kein Speicherplatz mehr verf\xc3\xbcgbar')]
Comment 4 Florian Best univentionstaff 2017-08-15 11:30:34 CEST
Reported again, 4.2-1 errata99 (Lesum)
Comment 5 Florian Best univentionstaff 2017-09-15 11:48:31 CEST
 Version: 4.2-1 errata52 (Lesum)
Comment 6 Florian Best univentionstaff 2017-09-15 11:56:44 CEST
Version: 4.2-1 errata157 (Lesum)

Remark: Vor update wird anscheinend keine Überprüfung ausgeführt, ob auch genug Speicherplatz für das Update vorhanden ist.
Comment 7 Florian Best univentionstaff 2017-10-12 20:13:58 CEST
Version: 4.2-2 errata189 (Lesum)
Comment 8 Florian Best univentionstaff 2017-10-12 20:33:41 CEST
Version: 4.2-2 errata189 (Lesum)
Comment 9 Florian Best univentionstaff 2017-10-12 21:31:58 CEST
Version: 4.2-1 errata159 (Lesum)
Comment 10 Florian Best univentionstaff 2017-10-13 12:09:10 CEST
In combination with Bug #45529.
Version: 4.2-1 errata197 (Lesum)
Comment 11 Florian Best univentionstaff 2017-11-10 14:55:21 CET
Reported again, 4.2-2 errata209 (Lesum)
Comment 12 Johannes Keiser univentionstaff 2017-11-15 16:29:16 CET
Reported again, 4.2-1 errata197 (Lesum)
Comment 13 Dirk Wiesenthal univentionstaff 2017-12-05 18:00:34 CET
Improved situation in
  univention-appcenter 6.0.11-6A~4.2.0.201712051751

Now $(ucr get appcenter/backups) configures the number of max. backups created while uninstalling Apps.

appcenter/backups=1 is default and creates 1 backup for each Docker App.
appcenter/backups=0 does not make any backup.
appcenter/backups=-1 does not remove any backups.

After one backup has been done successfully, all backups are gathered and sorted by date of creation. All backups are removed that exceed the number of max backups.
Comment 14 Felix Botner univentionstaff 2017-12-07 09:51:08 CET
* please remove the UCR variables
* do not copy the apps dir during the update and 
* move the backup during remove
* save one version of the image during update
Comment 15 Dirk Wiesenthal univentionstaff 2017-12-07 17:26:25 CET
Fixed in
  univention-appcenter 6.0.11-8A~4.2.0.201712071417

* please remove the UCR variables
  -> DONE
* do not copy the apps dir during the update and 
  -> DONE
* move the backup during remove
  -> DONE
* save one version of the image during update
  -> DONE

Additionally, no Docker image is commited. Ever.
Comment 16 Felix Botner univentionstaff 2017-12-07 19:56:12 CET
Can we remove the whole "# Cleanup old backups" stuff?

-
 * no cleanup of old docker images
 * multiple backup dirs after install/remove/install/remove ...

+
 * remove/simplify code
Comment 17 Dirk Wiesenthal univentionstaff 2017-12-11 12:28:51 CET
As discussed, we may go for this implementation as it cleans up existing installations. At one point we should revert the clean up part.
Comment 18 Johannes Keiser univentionstaff 2017-12-11 15:46:20 CET
Reported again: Version: 4.2-1 errata95 (Lesum)

Remark: Bei der Dockerinstallation ist ein Fehler aufgetreten
Comment 19 Felix Botner univentionstaff 2017-12-12 09:38:28 CET
OK - univention-appcenter backup
OK - YAML
Comment 20 Arvid Requate univentionstaff 2017-12-14 12:55:54 CET
<http://errata.software-univention.de/ucs/4.2/250.html>
Comment 21 Johannes Keiser univentionstaff 2018-01-12 16:52:58 CET
Reported again: Version: 4.1-4 errata443 (Vahr)
Comment 22 Johannes Keiser univentionstaff 2018-03-29 18:52:44 CEST
Reported again: Version: 4.2-2 errata249 (Lesum)